import request from '@/utils/request'

// 查询35R设备规格参数列表
export function listSpec35r(query) {
  return request({
    url: '/system/spec35r/list',
    method: 'get',
    params: query
  })
}

// 查询35R设备规格参数详细
export function getSpec35r(id) {
  return request({
    url: '/system/spec35r/' + id,
    method: 'get'
  })
}

// 新增35R设备规格参数
export function addSpec35r(data) {
  return request({
    url: '/system/spec35r',
    method: 'post',
    data: data
  })
}

// 修改35R设备规格参数
export function updateSpec35r(data) {
  return request({
    url: '/system/spec35r',
    method: 'put',
    data: data
  })
}

// 删除35R设备规格参数
export function delSpec35r(id) {
  return request({
    url: '/system/spec35r/' + id,
    method: 'delete'
  })
}
